Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue comments

GET/workspaces/{organizationId}/issues/{issueId}/comments
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Responses
200

Comments list

commentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
issueIdstring | nullrequired
documentIdstring | nullrequired
authorIdstring | nullrequired
bodystringrequired
externalIdstring | nullrequired
externalSourcestring | nullrequired
externalAuthorstring | nullrequired
resolvedAtstring | nullrequired
resolvedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/comments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "comments": [
    {
      "id": "string",
      "organizationId": "string",
      "issueId": "string",
      "documentId": "string",
      "authorId": "string",
      "body": "string",
      "externalId": "string",
      "externalSource": "string",
      "externalAuthor": "string",
      "resolvedAt": "string",
      "resolvedById": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?